#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
printf '%s' 'name:                 tree-diff
version:              0.3.0.1
visibility:           public
id:                   tree-diff-0.3.0.1-AAFs2DynaMKC1Z3KFwAqq4
key:                  tree-diff-0.3.0.1-AAFs2DynaMKC1Z3KFwAqq4
license:              GPL-2.0-or-later
copyright:            (c) 2017-2021 Oleg Grenrus
maintainer:           Oleg.Grenrus <oleg.grenrus@iki.fi>
author:               Oleg Grenrus <oleg.grenrus@iki.fi>
homepage:             https://github.com/phadej/tree-diff
synopsis:             Diffing of (expression) trees.
description:
    Common diff algorithm works on list structures:

    @
    diff :: Eq a => [a] -> [a] -> [Edit a]
    @

    This package works on trees.

    @
    treeDiff :: Eq a => Tree a -> Tree a -> Edit (EditTree a)
    @

    This package also provides a way to diff arbitrary ADTs,
    using @Generics@-derivable helpers.

    This package differs from <http://hackage.haskell.org/package/gdiff gdiff>,
    in a two ways: @tree-diff@ doesn'\''t have patch function,
    and the "edit-script" is a tree itself, which is useful for pretty-printing.

    @
    >>> prettyEditExpr $ ediff (Foo 42 [True, False] "old") (Foo 42 [False, False, True] "new")
    Foo
    \  {fooBool = [-True, +False, False, +True],
    \   fooInt = 42,
    \   fooString = -"old" +"new"}
    @

category:             Data, Testing
abi:                  8496a2aa520caf76e790dc308bb91383
exposed:              True
exposed-modules:
    Data.TreeDiff Data.TreeDiff.Class Data.TreeDiff.Expr
    Data.TreeDiff.Golden Data.TreeDiff.List Data.TreeDiff.OMap
    Data.TreeDiff.Parser Data.TreeDiff.Pretty Data.TreeDiff.QuickCheck
    Data.TreeDiff.Tree

import-dirs:          /usr/lib/ghc-9.4.8/site-local/tree-diff-0.3.0.1
library-dirs:         /usr/lib/ghc-9.4.8/site-local/tree-diff-0.3.0.1
library-dirs-static:  /usr/lib/ghc-9.4.8/site-local/tree-diff-0.3.0.1
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-tree-diff
hs-libraries:         HStree-diff-0.3.0.1-AAFs2DynaMKC1Z3KFwAqq4
depends:
    QuickCheck-2.14.3-9Q0kCzH4SfmKZwwhPvduaz
    aeson-2.1.2.1-JUxXPniSz0YG5YB65a9rRK
    ansi-terminal-1.0.2-D5pa6u3ibixApJ1Glf95Ho
    ansi-wl-pprint-0.6.9-CZvBvWyfbiODm9sbbgDrr2 base-4.17.2.1
    base-compat-0.12.2-3peTS4EQIw912qC0ETmbL5 bytestring-0.11.5.3
    containers-0.6.7 deepseq-1.4.8.0
    hashable-1.4.4.0-KhxIO0xb5fm20tEUmKRa81 parsec-3.1.16.1
    parsers-0.12.12-DQNw3sWPC2LLxmCjtgzai4 pretty-1.1.3.6
    primitive-0.8.0.0-8L1oTAgt3Zw9WwfojBIh27
    scientific-0.3.7.0-IsfwCFhwen9DG7Ev9wrVyZ
    semialign-1.3-C5fa4NzcxXXFlXlFQbNO56
    strict-0.5-Az18vYvc6HK9t5CzVbNhlu
    tagged-0.8.9-KMS3sfDasKWItFZcxfaN6C text-2.0.2
    these-1.2-GegMoqXBxmT3NADWB1Mq7p time-1.12.2
    unordered-containers-0.2.20-1FuCl8JL5xL639QhRwjqcc
    uuid-types-1.0.6-L1h3dWhw8NeClOC8hU7F3f
    vector-0.13.1.0-IpYwnKXpLxR5PfWJ8aKdft

haddock-interfaces:   /usr/share/doc/haskell-tree-diff/html/tree-diff.haddock
haddock-html:         /usr/share/doc/haskell-tree-diff/html
' | '/usr/bin/ghc-pkg-9.4.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

